using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.DHS;

[ComImport]
[Guid("2D51CD98-7DE3-4BBA-A482-5409A18192DB")]
[SuppressUnmanagedCodeSecurity]
[InterfaceType(1)]
public interface IDHSHotkeyEvents
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	bool OnHotkey([In][MarshalAs(UnmanagedType.BStr)] string szEvent);
}
